> ## Documentation Index
> Fetch the complete documentation index at: https://sitespeak.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Chatbot Settings

> Returns the settings for the chatbot

## Path Parameters

| Name          | Type   | Description                                                                        |
| ------------- | ------ | ---------------------------------------------------------------------------------- |
| chatbot\_id\* | String | The ID of your chatbot. You can find the ID on the settings page for your chatbot. |

## Headers

| Name            | Type   | Description        |
| --------------- | ------ | ------------------ |
| Accept\*        | String | application/json   |
| Authorization\* | String | Bearer {api_token} |

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.sitespeak.ai/v1/{chatbot_id} \
    -H "Accept: application/json" \
    -H "Authorization: Bearer YOUR_API_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}', {
    method: 'GET',
    headers: {
      'Accept': 'application/json',
      'Authorization': 'Bearer YOUR_API_TOKEN'
    }
  });

  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

## Response

<Tabs>
  <Tab title="200 Success">
    ```json theme={null}
    {
      "id": "",
      "user_id": "",
      "name": "",
      "description": null,
      "welcome_message": "👋 Hello, how can I help you today?",
      "placeholder": "Ask a question...",
      "accent_color": "#6366f1",
      "launcher_icon": null,
      "launcher_text": null,
      "header_icon": null,
      "share_icon": null,
      "font_size": "small",
      "header_size": "small",
      "height": 720,
      "sources_label": "Sources",
      "enable_sources": 1,
      "hide_powered_by": 0,
      "enable_hide_chatbot": 0,
      "position": "bottom-right",
      "domain": null,
      "domain_id": "",
      "domain_verified": 0,
      "goals_prompt": "Your main goal is to provide the user with a concise answer that is relevant to the question.",
      "system_prompt": "You are a kind and friendly expert in analyzing and extracting information from various sources. You are part of the business, so all responses MUST be in the first person plural. All your responses MUST be friendly and informal.",
      "user_prompt": null,
      "default_answer": "I am sorry, I do not know the answer to that question. Please contact support for further assistance.",
      "default_language": "auto",
      "history_count": 1,
      "gpt_model": "ChatGPT",
      "temperature": 0,
      "topK": 3,
      "enable_escalations": 1,
      "enable_escalations_notification": 0,
      "escalations_email": "",
      "escalate_message_threshold": 1,
      "enable_chatgpt_fallback": 0,
      "fallback_excluded_topics": null,
      "created_at": "2023-09-28T14:12:26.000000Z",
      "updated_at": "2023-10-03T05:49:37.000000Z",
      "deleted_at": null
    }
    ```
  </Tab>

  <Tab title="401 Permission denied">
    Returns when the API token is invalid or missing.
  </Tab>
</Tabs>
